"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const RefrenceCache_1 = __importDefault(require("../cache/RefrenceCache"));
class GuildChannelBlock {
    /**
     * A GuildChannelBlock stores guild channel data.
     *
     * @param {Client} client The client instance.
     */
    constructor(client) {
        /**
         * The client that initiliazed the block.
         */
        this.client = null;
        /**
         * The cache full of channels.
         */
        this.cache = null;
        this.client = client;
        this.cache = new RefrenceCache_1.default(client, 'channels');
    }
}
exports.default = GuildChannelBlock;
