import { HTTPMethod } from 'petitio';
import Client from '../Client';
import { MessageAttachment } from '../..';
export default class Request {
    client: Client;
    method: HTTPMethod;
    url: string;
    body: any;
    reason: string | null;
    response: any | null;
    upload: boolean;
    constructor(client: Client, method: HTTPMethod, path: string, body?: any);
    make(files?: MessageAttachment[]): Promise<any>;
}
export declare function translateError(code: number, message?: string): string;
