"use strict";
/*
 * Copyright (c) 2021, knokbak and contributors.
 *
 * The Birb.JS Project: https://birb.js.org
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
Object.defineProperty(exports, "__esModule", { value: true });
class Pair {
    /**
     * A Pair is a key-value pair.
     *
     * @param {Key} key The key of this pair.
     * @param {Value} value The value of this pair.
     */
    constructor(key, value) {
        this.key = key;
        this.value = value;
    }
}
exports.default = Pair;
